Issue 113574 - Allow users to disable bundled extensions in their profile
Summary: Allow users to disable bundled extensions in their profile
Status: CLOSED WONT_FIX
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: DEV300m84
Hardware: All All
: P3 Trivial with 4 votes (vote)
Target Milestone: ---
Assignee: joachim.lingner
QA Contact: issues@framework
URL: http://wiki.services.openoffice.org/w...
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-01 23:51 UTC by olivierr
Modified: 2010-08-15 10:11 UTC (History)
6 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
normal user (40.47 KB, image/png)
2010-08-03 17:20 UTC, jbf.faure
no flags Details
super user (40.56 KB, image/png)
2010-08-03 17:21 UTC, jbf.faure
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description olivierr 2010-08-01 23:51:38 UTC
Since OOo 3.3, default bundled installed extensions cannot be removed, even by
the administrator. But users can update bundled dictionaries in their own
profile, overriding the default one without removing it.
See:
http://wiki.services.openoffice.org/wiki/Documentation/DevGuide/Extensions/Extension_Repositories

This behaviour is inappropriate for French users.
We have 4 dictionaries that users can select according to their preferences
towards the latest spelling reform. But, as the bundled dictionary cannot be
removed, how can users select the spelling they want? If they install another
dictionary than the default one, there will be two dictionaries for spellchecking.

Thus, users should be able to disable bundled extensions in their profile, or
may be just dictionaries.
Comment 1 thomas.lange 2010-08-02 01:26:32 UTC
.
Comment 2 Olaf Felka 2010-08-02 07:29:08 UTC
Please have a look.
Comment 3 joerg.skottke 2010-08-02 07:33:59 UTC
@JL: You did the specification, hehe.
Comment 4 thomas.lange 2010-08-02 08:14:37 UTC
tl->jl: what do you think?
Comment 5 Olaf Felka 2010-08-02 09:53:23 UTC
They can be removed by using the setup: Starting the setup and select the
dictionary to be uninstalled.
At installation time they can be selected to be not installed.
Comment 6 jbf.faure 2010-08-03 11:29:29 UTC
Hi,

I do not understand: when I run OOO330m2 with sudo under Ubuntu I am able to
remove the French dictionary but not the English and Spanish ones. I can remove
these dictionaries by using the packages manager of Ubuntu but why it is not
necessary for the French dictionary?
I didn't install FR langpack for OOO330m2 and made my tests with a fresh ooo-dev
profile.
Comment 7 joachim.lingner 2010-08-03 14:28:28 UTC
You probable removed a user or shared extension. Bundled extensions cannot be
removed by using  the extension manager  dialog.
Comment 8 jbf.faure 2010-08-03 17:20:00 UTC
Strange. Please look at attached screenshots:
-Capture-Extension_Manager_user.png when ooo-dev is launched as normal user in
command line (/opt/ooo-dev3/program/soffice
-Capture-Extension_Manager_sudo.png when ooo-dev is launched with sudo (sudo
/opt/ooo-dev3/program/soffice)
in both cases without existing profile
You can see that in sudo case the French dictionary has not the same icon than
English and Spanish dictionaries.

Kind regards.
Comment 9 jbf.faure 2010-08-03 17:20:46 UTC
Created attachment 70935 [details]
normal user
Comment 10 jbf.faure 2010-08-03 17:21:28 UTC
Created attachment 70936 [details]
super user
Comment 11 joachim.lingner 2010-08-04 06:11:02 UTC
The second screen shot shows that the french dictionary is for all users and
that it is not locked, that is you can modify it. This indicates, that you
installed the dictionary as shared extension have a look at 
openoffice.org3/share/uno_packages/cache/uno_packages/
there you'll find probably in one of the subfolders (which all have stranges
names, so they are unique) the dictionary.
Comment 12 jbf.faure 2010-08-04 07:10:48 UTC
I know the meaning of the icons in front of each extension in the extensions
manager. But these three dictionaries have been installed in the same way, that
is using the standard installation system of Ubuntu distribution : sudo dpkg -i
... I did nothing different for the French dictionary.
In other words the three dictionaries are those installed by default. So I do
not see any reason why there a difference between the French dictionary and the
two others. 
Is it possible there is an unexpected interaction with the locale? My locale is
FR of course.

Kind regards. JBF
Comment 13 joachim.lingner 2010-08-04 07:35:40 UTC
There is a priority of the extension repositories: user before share before
bundled. If you have a shared and a bundled installed, only the shared one is
used and displayed. Try deleting the french dictionary in the extension manager.
If you did install the french dictionary, which happens in the setup of OOo
(vanilla), then it should be displayed.

The shared extension can be a leftover of a previous installation. OOo does not
uninstall completely and the  share/uno_packages folder remains. If then OOo is
installed in the same location, it will use those shared extensions again.
Comment 14 Mechtilde 2010-08-15 10:11:38 UTC
wontfix -> closed